import * as React from 'react';
import { EditorProps } from '@monaco-editor/react';
import { DecorationsSource, DefinitionSource, DiagnosticsSource, EditorAction, HoverSource, KeyboardShortcut } from './utils';
export declare type SchemaEditorProps = {
    schema?: string;
    hoverProviders?: HoverSource[];
    definitionProviders?: DefinitionSource[];
    diagnosticsProviders?: DiagnosticsSource[];
    decorationsProviders?: DecorationsSource[];
    actions?: EditorAction[];
    keyboardShortcuts?: Record<string, KeyboardShortcut>;
} & Omit<EditorProps, 'onMount' | 'beforeMount' | 'onChange' | 'defaultValue' | 'language'>;
export declare const SchemaEditor: React.FC<SchemaEditorProps>;
